net.corda.node.services.api

## Class AbstractNodeService

- SingletonSerializeAsToken
- - net.corda.node.services.api.AbstractNodeService

- All Implemented Interfaces:
    SerializeAsToken
  Direct Known Subclasses:
    AbstractNetworkMapService

      public class AbstractNodeService
      extends SingletonSerializeAsToken

  Abstract superclass for services that a node can host, which provides helper functions.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractNodeService(ServiceHubInternal services)` Abstract superclass for services that a node can host, which provides helper functions.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MessagingServiceInternal` | `getNet()`
    `ServiceHubInternal` | `getServices()`

    - ### Methods inherited from class net.corda.core.serialization.SingletonSerializeAsToken

      `toToken`

    - ### Methods inherited from interface net.corda.core.serialization.SerializeAsToken

      `toToken`

- - ### Constructor Detail

    - #### AbstractNodeService

          public AbstractNodeService(ServiceHubInternal services)

      Abstract superclass for services that a node can host, which provides helper functions.

  - ### Method Detail

    - #### getNet

          public MessagingServiceInternal getNet()

    - #### getServices

          public ServiceHubInternal getServices()